//
// Copyright © 2020, 2021 Anticrm Platform Contributors.
//
// Licensed under the Eclipse Public License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License. You may
// obtain a copy of the License at https://www.eclipse.org/legal/epl-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//
// See the License for the specific language governing permissions and
// limitations under the License.

import { addStringsLoader } from '@anticrm/platform'
import { coreId } from './component'

//
export * from './classes'
export * from './client'
export { coreId, default } from './component'
export * from './hierarchy'
export * from './measurements'
export * from './memdb'
export * from './objvalue'
export * from './operations'
export * from './operator'
export * from './query'
export * from './server'
export * from './storage'
export * from './tx'
export * from './utils'
export * from './backup'

addStringsLoader(coreId, async (lang: string) => {
  return await import(`../lang/${lang}.json`)
})
